function stroke = load_drs(filename, fix_timestamps)
% Load a drg stroke (in DRS format) Return the stroke.
% second argument is optional. If it is one, then the timestamps are
% assumed to come from a tablet pc, and the are fixed by linear regression

fid        = fopen( filename ); 
fgetl(fid); % Headers
fgetl(fid); % Headers
fgetl(fid); % Headers
str=fgetl(fid); % Points

values = sscanf(str(2:length(str)-1),' (%d %d %d) ');

stroke = reshape(values,3,length(values)/3)';

if nargin == 2 & fix_timestamps == 1
    stroke = fix_acer_tablet_stroke(stroke);    
end

fclose(fid);